/*                     __                                               *\
**     ________ ___   / /  ___     Scala API                            **
**    / __/ __// _ | / /  / _ |    (c) 2002-2006, LAMP/EPFL             **
**  __\ \/ /__/ __ |/ /__/ __ |                                         **
** /____/\___/_/ |_/____/_/ | |                                         **
**                          |/                                          **
\*                                                                      */

// $Id: Function1.scala 8247 2006-07-24 14:22:00Z odersky $


package scala


/**
 * Function with 1 parameter
 */
trait Function1[-T0, +R] extends AnyRef {
  def apply(v0: T0): R
  override def toString() = "<function>"
  def compose[A](g: A => T0): A => R = { x => apply(g(x)) }
}

